--- icewm-1.3.7/src/themable.h	2010-10-31 15:09:36.000000000 +0100
+++ icewm-1.3.7/src/themable.h	2011-02-18 21:41:33.000000000 +0100
@@ -15,8 +15,9 @@
 XIV(bool, titleBarJoinLeft,                     false)
 XIV(bool, titleBarJoinRight,                    false)
 XIV(bool, showFrameIcon,                        true)
 
+XIV(int, wsTaskBarMax,                          128)
 XIV(int, wsBorderX,                             6)
 XIV(int, wsBorderY,                             6)
 XIV(int, wsDlgBorderX,                          2)
 XIV(int, wsDlgBorderY,                          2)
@@ -164,8 +165,9 @@
     OBV("TitleBarJoinLeft",                     &titleBarJoinLeft,              "Join title*S and title*T"),
     OBV("TitleBarJoinRight",                    &titleBarJoinRight,             "Join title*T and title*B"),
     OBV("ShowMenuButtonIcon",                   &showFrameIcon,                 "Show application icon over menu button"),
 
+    OIV("TaskBarMaxHeight",                     &wsTaskBarMax, 0, 256,          "Maximum height of taskbar"),
     OIV("BorderSizeX",                          &wsBorderX, 0, 128,             "Horizontal window border"),
     OIV("BorderSizeY",                          &wsBorderY, 0, 128,             "Vertical window border"),
     OIV("DlgBorderSizeX",                       &wsDlgBorderX, 0, 128,          "Horizontal dialog window border"),
     OIV("DlgBorderSizeY",                       &wsDlgBorderY, 0, 128,          "Vertical dialog window border"),
--- icewm-1.3.7/src/wmtaskbar.cc	2010-10-31 15:09:36.000000000 +0100
+++ icewm-1.3.7/src/wmtaskbar.cc	2011-02-18 21:52:24.000000000 +0100
@@ -658,8 +658,12 @@
             continue;
         if (wl->w->height() > h[wl->row])
             h[wl->row] = wl->w->height();
     }
+    for (i = 0; i < 2; i++) {
+        if (wsTaskBarMax < h[i])
+            h[i] = wsTaskBarMax;
+    }
 
     {
         int dx, dy, dw, dh;
         manager->getScreenGeometry(&dx, &dy, &dw, &dh);
